summaryrefslogtreecommitdiff
path: root/automated/linux
diff options
context:
space:
mode:
Diffstat (limited to 'automated/linux')
-rwxr-xr-xautomated/linux/disk/disk-partitioning.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/automated/linux/disk/disk-partitioning.sh b/automated/linux/disk/disk-partitioning.sh
index 6f5d204..92b7934 100755
--- a/automated/linux/disk/disk-partitioning.sh
+++ b/automated/linux/disk/disk-partitioning.sh
@@ -1,8 +1,10 @@
#!/bin/sh
+# shellcheck disable=SC1091
. ../../lib/sh-test-lib
OUTPUT="$(pwd)/output"
RESULT_FILE="${OUTPUT}/result.txt"
+export RESULT_FILE
DISKLABEL="gpt"
FILESYSTEM="ext4"
@@ -75,7 +77,7 @@ disk_mount() {
}
# Test run.
-[ -b "${DEVICE}" ] && error_msg "Please specify a block device with '-d'"
+[ -b "${DEVICE}" ] || error_msg "Please specify a block device with '-d'"
! check_root && error_msg "You need to be root to run this script."
[ -d "${OUTPUT}" ] && mv "${OUTPUT}" "${OUTPUT}_$(date +%Y%m%d%H%M%S)"
mkdir -p "${OUTPUT}"